# ![Ordsall](title.webp)

Ordsall is a simple monospace OpenType font. The latest version is [v0.1.0](https://marnanel.org/projects/ordsall/ordsall-0.1.0.zip). I will probably add more characters in the future.

I created it in 1992 for [Avalot](https://www.myabandonware.com/game/lord-avalot-d-argent-1rz),
as TTSMALL.FNT. The OpenType version is identical, except that:

  - the corners of each glyph are rounded off;
  - the font uses Unicode codepoints, rather than [IBM 437](https://en.wikipedia.org/wiki/Code_page_437);
  - a few glyphs were removed which were useful in 1993, but not now;
  - a null (fallback) character has been added;
  - [the positions of quote marks](https://www.cl.cam.ac.uk/~mgk25/ucs/quotes.html) have been
    tidied up, with new quote marks added as necessary;
  - a vertical bar character has been added, in the place left by the broken bar character.

Ordsall is distributed under the terms of [the SIL Open Font Licence](https://openfontlicense.org/), version 1.1.

## Building

You will need [imagemagick](https://imagemagick.org/)
and [fontforge](https://fontforge.org).

Then just run `make`. This will build both the `.otf` file, and an `.sfd` file for editing in Fontforge.

## Editing

Each `.svg` file in `grids/` contains an 8×10 grid of squares. Dark squares are part of the glyph,
and light squares are not. Light squares can be any light colour. By default, they alternate
between yellow and blue to aid the eye.

If the first part of a filename is a valid hex number, then that is the codepoint of the glyph.
Otherwise it gets used as the mapping name of the character— for example, with `null.svg`.

## Samples

![Sample sheet](samples.webp)

## The name

[Ordsall](https://en.wikipedia.org/wiki/Ordsall,_Greater_Manchester) is an area of Salford, Lancashire, in England. It's pronounced /ɒdsəl/.

## Revision history

- v0.1.0: Initial release.

## Contact

You can make a change request [on gitlab](gitlab.com/marnanel/ordsall/). You can always find the most recent version at [https://marnanel.org/projects/ordsall/](https://marnanel.org/projects/ordsall/).